Gmagick::rollimage
Gmagick::scaleimage
Gmagick
PHP Manual

# Gmagick::rotateimage

Rotates an image

### Description

public Gmagick Gmagick::rotateimage ( mixed `$color` , float `$degrees` )

Rotates an image the specified number of degrees. Empty triangles left over from rotating the image are filled with the background color.

### Parameters

`color`

  The background pixel.

`degrees`

  The number of degrees to rotate the image.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.